<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.estate.mapper.SnapRecordMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="snapRecordResultMap" type="org.springblade.estate.entity.SnapRecord">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="face_url" property="faceUrl"/>
        <result column="score" property="score"/>
        <result column="temperature" property="temperature"/>
        <result column="agency_id" property="agencyId"/>
        <result column="residential_id" property="residentialId"/>
        <result column="building_id" property="buildingId"/>
        <result column="unit_id" property="unitId"/>
        <result column="room_id" property="roomId"/>
        <result column="enterprise_id" property="enterpriseId"/>
        <result column="serial_num" property="serialNum"/>
        <result column="device_name" property="deviceName"/>
        <result column="device_address" property="deviceAddress"/>
        <result column="is_out" property="isOut"/>
        <result column="tenant_id" property="tenantId"/>
        <result column="channel_no" property="channelNo"/>
        <result column="latitude" property="latitude"/>
        <result column="longitude" property="longitude"/>
    </resultMap>


    <select id="selectSnapRecordPage" resultMap="snapRecordResultMap">
        select * from estate_snap_record where is_deleted = 0
    </select>

</mapper>
